## org.eclipse.jetty.annotations
Class RunAsAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.RunAsAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class RunAsAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

Field Summary
`protected WebAppContext` `_context`

Constructor Summary
`RunAsAnnotationHandler(WebAppContext wac)`

Method Summary
`void` `doHandle(java.lang.Class clazz)`
`void` `handleField(java.lang.String className, java.lang.String fieldName, int access, java.lang.String fieldType, java.lang.String signature, java.lang.Object value, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` `handleMethod(java.lang.String className, java.lang.String methodName, int access, java.lang.String params, java.lang.String signature, java.lang.String[] exceptions, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### RunAsAnnotationHandler

    public RunAsAnnotationHandler(WebAppContext wac)

Method Detail

### doHandle

    public void doHandle(java.lang.Class clazz)

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`

### handleField

    public void handleField(java.lang.String className,
                            java.lang.String fieldName,
                            int access,
                            java.lang.String fieldType,
                            java.lang.String signature,
                            java.lang.Object value,
                            java.lang.String annotation,
                            java.util.List<AnnotationParser.Value> values)

### handleMethod

    public void handleMethod(java.lang.String className,
                             java.lang.String methodName,
                             int access,
                             java.lang.String params,
                             java.lang.String signature,
                             java.lang.String[] exceptions,
                             java.lang.String annotation,
                             java.util.List<AnnotationParser.Value> values)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.